[Mediawiki-l] Upgrade from 1.6.3 to -1.10.1

Frank Middleton f.middleton at apogeect.com
Mon Aug 13 15:07:00 UTC 2007


Michael Daly wrote:
> Frank Middleton wrote:
> 
>> where does error_log go?
> 
> Wherever you tell it to via php.ini.  Look for error_log.
> 
My ISP won't let me edit php.ini (I can't even see the php.ini
for php5). However I did find a solution (to the problem of
warnings being splattered over some of the pages) in case anyone
else runs into this - edit LocalSettings.php and add a line

ini_set('display_errors','0');

Thanks for setting me off on this line of inquiry! I believe I
can also point errorlog to a local file in this fashion since I
don't have permissions to read syslog. http://www.php.net/ini_set

I guess no one on this list is going to know how to get fix
the warning itself (Warning: array_slice() [function.array-slice]:
The first argument should be an array in
 ..../mediawiki-1.10.1/languages/Language.php on line 1139)

but I do have another problem - my images are all messed up
and my ISP doesn't have command-line php5 installed so I
can't run update.php. Any ideas short of re-uploading all
the images or moving them by hand?

Thanks again -- Frank



More information about the MediaWiki-l mailing list